NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ElementRotateBuilder Class Reference

Represents a NXOpen::CAE::ElementRotateBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateElementRotateBuilder

Created in NX12.0.0. More...

Inheritance diagram for NXOpen::CAE::ElementRotateBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CopyType { CopyTypeRotateOnly, CopyTypeCopyRotate }
 the copy types More...
 
enum  DistanceType { DistanceTypePerCopy, DistanceTypeTotal }
 Distance - specify whether the translation distance is per copy or total. More...
 
enum  ElemDimensionType { ElemDimensionTypeAny, ElemDimensionTypeBeam, ElemDimensionTypeShell, ElemDimensionTypeSolid }
 Dimension of the elements to be created. More...
 
enum  LabelType { LabelTypeLabel, LabelTypeOffset }
 Option to use label/increment or offset. More...
 
enum  MethodType { MethodTypeComponent, MethodTypeDirection, MethodTypeElemNormal, MethodTypePointToPoint }
 Translation method. More...
 
enum  NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting }
 Option to create a new mesh or add the new elements to an existing mesh. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the theta angle for translation in a cylindrical/spherical coordinate system
Created in NX12.0.0. More...
 
NXOpen::AxisAxis ()
 Returns the axis. More...
 
NXOpen::CAE::ElementRotateBuilder::CopyType CopyOption ()
 Returns the copy option . More...
 
NXOpen::CAE::ElementRotateBuilder::DistanceType DistanceCopyOption ()
 Returns the distance option
Created in NX12.0.0. More...
 
NXOpen::CAE::ElementRotateBuilder::ElemDimensionType ElementDimension ()
 Returns the dimension of the elements to be rotated
Created in NX12.0.0. More...
 
NXOpen::CAE::SelectElementsBuilderElementSelection ()
 Returns the selected elements
Created in NX12.0.0. More...
 
NXOpen::CAE::ElementTypeBuilderElementType ()
 Returns the element type builder. More...
 
int Increment ()
 Returns the increment in label for each new element
Created in NX12.0.0. More...
 
int Label ()
 Returns the start label for the new elements
Created in NX12.0.0. More...
 
NXOpen::CAE::ElementRotateBuilder::LabelType LabelOption ()
 Returns the option to specify the start label and increment for the new elements OR specify an offset from the existing element labels
Created in NX12.0.0. More...
 
NXString MeshCollectorName ()
 Returns the name of the mesh collector which will hold the new elements
Created in NX12.0.0. More...
 
NXString MeshName ()
 Returns the name of the mesh that will hold the new elements
Created in NX12.0.0. More...
 
NXString NeutralName ()
 Returns the neutral name of the elements to be created
Created in NX12.0.0. More...
 
NXOpen::CAE::ElementRotateBuilder::NewMeshType NewMeshOption ()
 Returns the option to create a new mesh or add the new elements to an existing mesh
Created in NX12.0.0. More...
 
int NumCopy ()
 Returns the number of copies to be created for each selected element
Created in NX12.0.0. More...
 
int Offset ()
 Returns the offset to be used to generate new element labels
Created in NX12.0.0. More...
 
void SetAxis (NXOpen::Axis *axis)
 Sets the axis. More...
 
void SetCopyOption (NXOpen::CAE::ElementRotateBuilder::CopyType inCopyoption)
 Sets the copy option . More...
 
void SetDistanceCopyOption (NXOpen::CAE::ElementRotateBuilder::DistanceType distanceOption)
 Sets the distance option
Created in NX12.0.0. More...
 
void SetElementDimension (NXOpen::CAE::ElementRotateBuilder::ElemDimensionType elementDimension)
 Sets the dimension of the elements to be rotated
Created in NX12.0.0. More...
 
void SetIncrement (int increment)
 Sets the increment in label for each new element
Created in NX12.0.0. More...
 
void SetLabel (int label)
 Sets the start label for the new elements
Created in NX12.0.0. More...
 
void SetLabelOption (NXOpen::CAE::ElementRotateBuilder::LabelType labelOption)
 Sets the option to specify the start label and increment for the new elements OR specify an offset from the existing element labels
Created in NX12.0.0. More...
 
void SetMeshCollectorName (const NXString &meshCollectorName)
 Sets the name of the mesh collector which will hold the new elements
Created in NX12.0.0. More...
 
void SetMeshCollectorName (const char *meshCollectorName)
 Sets the name of the mesh collector which will hold the new elements
Created in NX12.0.0. More...
 
void SetMeshName (const NXString &meshName)
 Sets the name of the mesh that will hold the new elements
Created in NX12.0.0. More...
 
void SetMeshName (const char *meshName)
 Sets the name of the mesh that will hold the new elements
Created in NX12.0.0. More...
 
void SetNeutralName (const NXString &neutralName)
 Sets the neutral name of the elements to be created
Created in NX12.0.0. More...
 
void SetNeutralName (const char *neutralName)
 Sets the neutral name of the elements to be created
Created in NX12.0.0. More...
 
void SetNewMeshOption (NXOpen::CAE::ElementRotateBuilder::NewMeshType newMeshOption)
 Sets the option to create a new mesh or add the new elements to an existing mesh
Created in NX12.0.0. More...
 
void SetNumCopy (int numCopy)
 Sets the number of copies to be created for each selected element
Created in NX12.0.0. More...
 
void SetOffset (int offset)
 Sets the offset to be used to generate new element labels
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ElementRotateBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateElementRotateBuilder

Created in NX12.0.0.


Member Enumeration Documentation

the copy types

Enumerator
CopyTypeRotateOnly 

rotate without copying elements

CopyTypeCopyRotate 

first copy elements then rotate the copies

Distance - specify whether the translation distance is per copy or total.

Enumerator
DistanceTypePerCopy 

distance specified is for each copy

DistanceTypeTotal 

distance specified is total translation distance

Dimension of the elements to be created.

Enumerator
ElemDimensionTypeAny 

any element can be selected

ElemDimensionTypeBeam 

only beam elements can be selected

ElemDimensionTypeShell 

only shell elements can be selected

ElemDimensionTypeSolid 

only solid elements can be selected

Option to use label/increment or offset.

Enumerator
LabelTypeLabel 

specify start label and increment for new elements

LabelTypeOffset 

offset labels of selected element to get new labels

Translation method.

Enumerator
MethodTypeComponent 

translate by components

MethodTypeDirection 

translate along a vector

MethodTypeElemNormal 

translate along element normal

MethodTypePointToPoint 

translate by point to point

Option to create a new mesh or add the new elements to an existing mesh.

Enumerator
NewMeshTypeCreate 

create a new mesh

NewMeshTypeExisting 

add new elements to an existing mesh

Member Function Documentation

NXOpen::Expression* NXOpen::CAE::ElementRotateBuilder::Angle ( )

Returns the theta angle for translation in a cylindrical/spherical coordinate system
Created in NX12.0.0.



License requirements : None

NXOpen::Axis* NXOpen::CAE::ElementRotateBuilder::Axis ( )

Returns the axis.


Created in NX11.0.0.

License requirements : None

NXOpen::CAE::ElementRotateBuilder::CopyType NXOpen::CAE::ElementRotateBuilder::CopyOption ( )

Returns the copy option .


Created in NX12.0.0.

License requirements : None

NXOpen::CAE::ElementRotateBuilder::DistanceType NXOpen::CAE::ElementRotateBuilder::DistanceCopyOption ( )

Returns the distance option
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::ElementRotateBuilder::ElemDimensionType NXOpen::CAE::ElementRotateBuilder::ElementDimension ( )

Returns the dimension of the elements to be rotated
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ElementRotateBuilder::ElementSelection ( )

Returns the selected elements
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ElementRotateBuilder::ElementType ( )

Returns the element type builder.


Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

int NXOpen::CAE::ElementRotateBuilder::Increment ( )

Returns the increment in label for each new element
Created in NX12.0.0.



License requirements : None

int NXOpen::CAE::ElementRotateBuilder::Label ( )

Returns the start label for the new elements
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::ElementRotateBuilder::LabelType NXOpen::CAE::ElementRotateBuilder::LabelOption ( )

Returns the option to specify the start label and increment for the new elements OR specify an offset from the existing element labels
Created in NX12.0.0.



License requirements : None

NXString NXOpen::CAE::ElementRotateBuilder::MeshCollectorName ( )

Returns the name of the mesh collector which will hold the new elements
Created in NX12.0.0.



License requirements : None

NXString NXOpen::CAE::ElementRotateBuilder::MeshName ( )

Returns the name of the mesh that will hold the new elements
Created in NX12.0.0.



License requirements : None

NXString NXOpen::CAE::ElementRotateBuilder::NeutralName ( )

Returns the neutral name of the elements to be created
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::ElementRotateBuilder::NewMeshType NXOpen::CAE::ElementRotateBuilder::NewMeshOption ( )

Returns the option to create a new mesh or add the new elements to an existing mesh
Created in NX12.0.0.



License requirements : None

int NXOpen::CAE::ElementRotateBuilder::NumCopy ( )

Returns the number of copies to be created for each selected element
Created in NX12.0.0.



License requirements : None

int NXOpen::CAE::ElementRotateBuilder::Offset ( )

Returns the offset to be used to generate new element labels
Created in NX12.0.0.



License requirements : None

void NXOpen::CAE::ElementRotateBuilder::SetAxis ( NXOpen::Axis axis)

Sets the axis.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
axisaxis
void NXOpen::CAE::ElementRotateBuilder::SetCopyOption ( NXOpen::CAE::ElementRotateBuilder::CopyType  inCopyoption)

Sets the copy option .


Created in NX12.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
inCopyoptionincopyoption
void NXOpen::CAE::ElementRotateBuilder::SetDistanceCopyOption ( NXOpen::CAE::ElementRotateBuilder::DistanceType  distanceOption)

Sets the distance option
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
distanceOptiondistance option
void NXOpen::CAE::ElementRotateBuilder::SetElementDimension ( NXOpen::CAE::ElementRotateBuilder::ElemDimensionType  elementDimension)

Sets the dimension of the elements to be rotated
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
elementDimensionelement dimension
void NXOpen::CAE::ElementRotateBuilder::SetIncrement ( int  increment)

Sets the increment in label for each new element
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
incrementincrement
void NXOpen::CAE::ElementRotateBuilder::SetLabel ( int  label)

Sets the start label for the new elements
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
labellabel
void NXOpen::CAE::ElementRotateBuilder::SetLabelOption ( NXOpen::CAE::ElementRotateBuilder::LabelType  labelOption)

Sets the option to specify the start label and increment for the new elements OR specify an offset from the existing element labels
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
labelOptionlabel option
void NXOpen::CAE::ElementRotateBuilder::SetMeshCollectorName ( const NXString meshCollectorName)

Sets the name of the mesh collector which will hold the new elements
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshCollectorNamemesh collector name
void NXOpen::CAE::ElementRotateBuilder::SetMeshCollectorName ( const char *  meshCollectorName)

Sets the name of the mesh collector which will hold the new elements
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshCollectorNamemesh collector name
void NXOpen::CAE::ElementRotateBuilder::SetMeshName ( const NXString meshName)

Sets the name of the mesh that will hold the new elements
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemesh name
void NXOpen::CAE::ElementRotateBuilder::SetMeshName ( const char *  meshName)

Sets the name of the mesh that will hold the new elements
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemesh name
void NXOpen::CAE::ElementRotateBuilder::SetNeutralName ( const NXString neutralName)

Sets the neutral name of the elements to be created
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutral name
void NXOpen::CAE::ElementRotateBuilder::SetNeutralName ( const char *  neutralName)

Sets the neutral name of the elements to be created
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutral name
void NXOpen::CAE::ElementRotateBuilder::SetNewMeshOption ( NXOpen::CAE::ElementRotateBuilder::NewMeshType  newMeshOption)

Sets the option to create a new mesh or add the new elements to an existing mesh
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
newMeshOptionnew mesh option
void NXOpen::CAE::ElementRotateBuilder::SetNumCopy ( int  numCopy)

Sets the number of copies to be created for each selected element
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
numCopynum copy
void NXOpen::CAE::ElementRotateBuilder::SetOffset ( int  offset)

Sets the offset to be used to generate new element labels
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
offsetoffset

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.